Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 96196 - net-misc/esniper (new package)
Summary: net-misc/esniper (new package)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: Normal normal (vote)
Assignee: Default Assignee for New Packages
URL: http://esniper.sourceforge.net/
Whiteboard: sunrise-removal
Keywords: EBUILD, InOverlay
: 216712 (view as bug list)
Depends on:
Blocks: 435712
  Show dependency tree
 
Reported: 2005-06-15 10:46 UTC by Mark Keisler
Modified: 2018-06-07 18:25 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
esniper 2.10.0 ebuild (esniper-2.10.0.ebuild,692 bytes, text/plain)
2005-06-15 10:49 UTC, Mark Keisler
Details
esniper ebuild v2.11.0 (esniper-2.11.0.ebuild,692 bytes, text/plain)
2005-07-04 15:57 UTC, Mark Keisler
Details
esniper 2.11.0 ebuild (esniper-2.11.0.ebuild,679 bytes, text/plain)
2005-09-19 12:30 UTC, Mark Keisler
Details
esniper 2.11.0 ebuild (esniper-2.11.0.ebuild,667 bytes, text/plain)
2005-09-19 15:01 UTC, Mark Keisler
Details
esniper 2.14.0 ebuild (esniper-2.14.0.ebuild,630 bytes, text/plain)
2005-10-06 21:55 UTC, Mark Keisler
Details
esniper-2.14.0.ebuild (esniper-2.14.0.ebuild,655 bytes, text/plain)
2005-10-20 10:16 UTC, Mark Keisler
Details
ebuild for esniper 2.16.1 (esniper-2.16.1.ebuild,656 bytes, text/plain)
2007-04-27 20:02 UTC, Mark Keisler
Details
esniper 2.17.1 ebuild (esniper-2.17.1.ebuild,656 bytes, text/plain)
2008-02-07 16:19 UTC, Mark Keisler
Details
improved ensniper 1.17.1 ebuild (esniper-2.17.1.ebuild,738 bytes, text/plain)
2008-02-07 17:35 UTC, Mark Keisler
Details
esniper-2.21 ebuild (esniper-2.21.0.ebuild,806 bytes, text/plain)
2009-11-07 13:21 UTC, Frank
Details
esniper 2.22.0 ebuild (esniper-2.22.0.ebuild,745 bytes, text/plain)
2010-02-22 22:44 UTC, Thomas Kreuzer
Details
updated 2.22 ebuild (esniper-2.22.0.ebuild,741 bytes, text/plain)
2010-03-28 10:49 UTC, Thomas Kreuzer
Details
esniper 2.23.0 ebuild (esniper-2.23.0.ebuild,920 bytes, text/plain)
2010-07-08 00:08 UTC, Alex Kretschmer
Details
updated 2.23 ebuild (esniper-2.23.0.ebuild,784 bytes, text/plain)
2010-07-18 19:04 UTC, Alex Kretschmer
Details
esniper 2.24.0 ebuild (esniper-2.24.0.ebuild,784 bytes, text/plain)
2010-08-19 01:02 UTC, Alex Kretschmer
Details
esniper-9999.ebuild (esniper-9999.ebuild,1.07 KB, text/plain)
2017-11-26 10:55 UTC, m0par
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Keisler 2005-06-15 10:46:54 UTC
This is a submission for the initial ebuild for esniper.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.




This is my first ebuild.  I have tested it on my local portage overlay and it
worked fine.
% uname -a
Linux bodhi 2.6.10-nitro4 #4 Sun May 1 21:26:20 MST 2005 i686 AMD Athlon(tm) XP
2800+ AuthenticAMD GNU/Linux
% equery list esniper
[ Searching for package 'esniper' in all categories among: ]
 * installed packages
[I--] [  ] net-misc/esniper-2.10.0 (0)
%
Comment 1 Mark Keisler 2005-06-15 10:49:12 UTC
Created attachment 61293 [details]
esniper 2.10.0 ebuild
Comment 2 Mark Keisler 2005-07-04 15:57:47 UTC
Created attachment 62627 [details]
esniper ebuild v2.11.0
Comment 3 Ciaran McCreesh 2005-09-13 19:43:09 UTC
Please fix the following and reopen:

* It's conventional to quote variable assignments.
* http://dev.gentoo.org/~ciaranm/docs/mw-faq/hardcoded.txt (use
versionator.eclass instead)
* You can drop the RDEPEND setting.
* http://dev.gentoo.org/~ciaranm/docs/mw-faq/redundant.txt (src_compile)
* http://dev.gentoo.org/~ciaranm/docs/mw-faq/einstall.txt
* http://dev.gentoo.org/~ciaranm/docs/mw-faq/docfiles.txt
Comment 4 Mark Keisler 2005-09-19 12:30:12 UTC
Created attachment 68823 [details]
esniper 2.11.0 ebuild

modifications made to the ebuild to conform to gentoo standards.
Comment 5 Mark Keisler 2005-09-19 12:31:37 UTC
modifications made to the ebuild according to comments from Ciaran.  Thanks for
the help!
Comment 6 Mark Keisler 2005-09-19 15:01:13 UTC
Created attachment 68832 [details]
esniper 2.11.0 ebuild

further mod
Comment 7 Mark Keisler 2005-10-06 21:55:23 UTC
Created attachment 70049 [details]
esniper 2.14.0 ebuild
Comment 8 Mark Keisler 2005-10-20 10:16:13 UTC
Created attachment 71082 [details]
esniper-2.14.0.ebuild

added additional DEPEND to exclude curl-7.15.0
Comment 9 Mark Keisler 2007-04-27 20:02:27 UTC
Created attachment 117440 [details]
ebuild for esniper 2.16.1

attaching newest version of ebuild.  This is getting ridiculous.
Comment 10 Mark Keisler 2008-02-07 16:19:09 UTC
Created attachment 142898 [details]
esniper 2.17.1 ebuild
Comment 11 Mark Keisler 2008-02-07 17:35:09 UTC
Created attachment 142914 [details]
improved ensniper 1.17.1 ebuild
Comment 12 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-16 19:47:48 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 13 Christian Ruppert (idl0r) gentoo-dev 2009-02-16 22:44:54 UTC
*** Bug 216712 has been marked as a duplicate of this bug. ***
Comment 14 Frank 2009-11-07 13:21:52 UTC
Created attachment 209540 [details]
esniper-2.21 ebuild

Updated to version from 2009-11-03. Also set to EAPI 2 to use DEPEND USE atom for curl.
Comment 15 Thomas Kreuzer 2010-02-22 22:44:52 UTC
Created attachment 220777 [details]
esniper 2.22.0 ebuild

Version bump.
Comment 16 ta2002 2010-02-24 10:57:50 UTC
I shoved an update to a 2.22.0 ebuild into the sunrise overlay.

http://overlays.gentoo.org/proj/sunrise/browser/reviewed/net-misc/esniper/esniper-2.22.0.ebuild

This is basically the same as the 2.21.0 ebuild with some small changes:

1. Moved the EAPI statement to the correct location per gentoo syntax

2. Took the period out at the end of the description line (yes, the developers who reviewed this thought it was important).

3. Added ~amd64 to the sunrise ebuild (works fine).

4. Fixed the curl dependency to with either the ssl (old) or openssl (new) use flag.


# emerge layman
# echo 'source /usr/portage/local/layman/make.conf' >> /etc/make.conf
# layman -a sunrise
# emerge esniper
Comment 17 Thomas Kreuzer 2010-03-28 10:49:30 UTC
Created attachment 225543 [details]
updated 2.22 ebuild

For curl (and maybe others as well) the openssl useflag is deprecated, this ebuild just uses ssl
Comment 18 Alex Kretschmer 2010-07-08 00:08:07 UTC
Created attachment 237967 [details]
esniper 2.23.0 ebuild

esniper-2.23 ebuild
Comment 19 ta2002 2010-07-09 03:44:47 UTC
I have just committed an update into the sunrise overlay:

http://overlays.gentoo.org/proj/sunrise/browser/sunrise/net-misc/esniper/esniper-2.23.0.ebuild

It is basically the same as the 2.22.0 ebuild with two small changes:

1. All versions of curl (mercifully) now have ssl (no more openssl) as a use flag. The esniper ebuild reflects that.

2. The ChangeLog now gets installed as part of the documentation.

The developers are now (sometimes) taking several days to move committed ebuilds to "reviewed" (available to "public" users of the overlay).

When they do that, you will find the new ebuild here:

http://overlays.gentoo.org/proj/sunrise/browser/reviewed/net-misc/esniper/esniper-2.23.0.ebuild
Comment 20 Alex Kretschmer 2010-07-18 19:04:13 UTC
Created attachment 239285 [details]
updated 2.23 ebuild
Comment 21 Alex Kretschmer 2010-07-18 19:08:01 UTC
From what I understand openssl is beeing pulled in by the ssl useflag anyway.
Comment 22 ta2002 2010-07-18 23:30:34 UTC
For a while the stable curl ebuilds had an "ssl" USE flag, while the unstable ones had an "openssl" USE flag (which did exactly the same thing). It appeared that there was a movement to differentiate openssl from gnutls (which has since changed direction).

See:

http://bugs.gentoo.org/297096
Comment 23 Alex Kretschmer 2010-08-19 01:02:14 UTC
Created attachment 243521 [details]
esniper 2.24.0 ebuild
Comment 24 ta2002 2011-06-18 15:51:40 UTC
I have just committed version 2.25.0 to the sunrise overlay.

http://overlays.gentoo.org/proj/sunrise/browser/sunrise/net-misc/esniper/esniper-2.25.0.ebuild

It will be available for general use after developer review.
Comment 25 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:47:20 UTC
Hello, everyone.

It seems that at least one ebuild related to this bug exists in the Sunrise overlay at the moment. However, I have to regretfully announce that after a long inactivity period the Sunrise project has been discontinued and the related overlay will be eventually removed. For this reason, I'd like to ask you to reevaluate the ebuilds and consider moving them. If you'd like to maintain a package from Sunrise in Gentoo, please take a look at our Proxy Maintainers [1] project.

Please make sure to take ebuilds from the unreviewed developer Sunrise repository [2] rather than the -reviewed one, since the latter has not been updated for over a year. While at it, please note that:

1. Adding a package to Gentoo requires declaring yourself as an active maintainer for it. All bugs regarding the package will be assigned to you, and you will be expected to maintain it.

2. Some packages may not be suitable for addition anymore. While there's no strong rules that would prevent you from adding a package, it may be a bad idea to add old-unmaintained packages that will shortly result in a large number of bugs reported with no solution. If that is the case, please close the bug as RESOLVED/OBSOLETE to make it easier to find packages worth adding.

3. Some of the bugs were already closed as WONTFIX/OBSOLETE/... while the relevant ebuild was kept in Sunrise. If you disagree with the original decision, you still can add the ebuild via proxy-maint.

4. Pleaes note that many of the Sunrise ebuilds are old and may be buggy. If you decide to move them, please make sure to update/clean them up. The proxy-maint team will also review your ebuilds, therefore making sure they land in Gentoo in good quality.

Once again, thank you for your contribution. We hope that you will still want to contribute to Gentoo, through proxy-maint or otherwise.


[1]:https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[2]:https://gitweb.gentoo.org/proj/sunrise.git/
Comment 26 m0par 2017-11-26 10:55:20 UTC
Created attachment 506702 [details]
esniper-9999.ebuild

Even the most recent release has been broken for a while (v2.33.0), with the only working version being maintained in the CVS repository.

I just added a CVS section to the old sunrise 2.31.0 ebuild.

Probably crude, but it works for me, if anyone's interested.